<?php

namespace App\Form\Config;

use App\Entity\InputRecipeMaterial;
use App\Repository\MaterialRepository;
use Doctrine\ORM\QueryBuilder;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * The form for an input material of a recipe
 */
class InputRecipeMaterialForm extends AbstractType {
    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver): void {
        $resolver->setDefaults(
            [
                'data_class' => InputRecipeMaterial::class,
            ]
        );
    }

    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options): void {
        $builder
            ->add('material', null, [
                'label' => 'Matériau',
                //'query_builder' => function (MaterialRepository $materialRepository): QueryBuilder {
                //    return $materialRepository->createQueryBuilder('m')
                //        ->orderBy('m.name');
                //},
            ])
            ->add('consumedQuantity', null, [
                'label' => 'Quantité consommée',
            ]);
    }
}