<?php

namespace App\Form\Config;

use App\Entity\OutputRecipeMaterial;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * The form for an output material of a recipe
 */
class OutputRecipeMaterialForm extends AbstractType {
    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver): void {
        $resolver->setDefaults(
            [
                'data_class' => OutputRecipeMaterial::class,
            ]
        );
    }

    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options): void {
        $builder
            ->add('material', null, [
                'label' => 'Matériau',
            ])
            ->add('producedQuantity', null, [
                'label' => 'Quantité produite',
            ]);
    }
}